#!/bin/bash

# Variable

# Grab Config files 
fmirror -l /var/named/dnsmaster/ws1/conf/ -r /home/dnsmaster/conf/ -s 66.59.255.10 -S  -u dnsmaster -p R3adM3

# Move all configs into 1 folder
cp -u /var/named/dnsmaster/ws1/conf/zone* /var/named/dnsmaster/

# Create config files 
cat /var/named/dnsmaster/zone* > /var/named/master.named.conf

# Grab actual zone files 
fmirror -l /var/named/dnsmaster/ws1/zones/ -r /home/dnsmaster/zones/ -s 66.59.255.10 -S  -u dnsmaster -p R3adM3

# Move files to the right place
cp -u /var/named/dnsmaster/ws1/zones/* /var/named/dnsmaster/

rm -f /var/named/db*
mv /var/named/dnsmaster/db* /var/named/

# Change file permissions on all baned files
chown named.named /var/named/db*
chown named.named /var/named/master.named.conf
chmod 644 /var/named/db*

# Reload name server
/etc/rc.d/init.d/named stop
sleep 1
killall -9 named
sleep 1
/etc/rc.d/init.d/named start

# Remove old files
rm -f /var/named/dnsmaster/db*
rm -f /var/named/dnsmaster/zone*

# Kill any failed processes

killall -9 fmirror
killall -9 dnsmaster.sh

